--- title: "Get short clip" slug: "media-livestation-shortclip-shortclipinfo" tags: ["Live Station"] updated: 2026-09-17T10:12:40Z published: 2026-09-17T10:12:40Z canonical: "api.ncloud-docs.com/media-livestation-shortclip-shortclipinfo" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get short clip Available in Classic and VPC Get short clip details. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/channels/{channelId}/shortclip/{id} | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `channelId` | String | Required | Channel ID - See [Get channel list](/docs/en/media-livestation-channel-channellist). | | `id` | String | Required | Short clip ID - See [Create short clip](/docs/en/media-livestation-shortclip-shortclipcreate). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://livestation.apigw.ntruss.com/api/v2/channels/ls-20250814******-zTwK2/shortclip/1418' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Response result | | `content.channelId` | String | - | Channel ID | | `content.snapshotId` | String | - | Snapshot ID | | `content.shortclip` | Object | - | Short clip information | | `content.shortclip.id` | Integer | - | Short clip ID | | `content.shortclip.status` | String | - | Short clip status - `CREATING` \| `COMPLETED` \| `PROCESSING_FAIL` \| `UPLOAD_FAIL` - `CREATING`: Creating - `COMPLETED`: Completed - `PROCESSING_FAIL`: Creation failed - `UPLOAD_FAIL`: Upload failed | | `content.shortclip.createdTime` | Integer | - | Short clip creation date and time (millisecond) - Unix timestamp format | | `content.shortclip.updatedTime` | Integer | - | Short clip update date and time (millisecond) - Unix timestamp format | | `content.shortclip.fileSize` | Integer | - | Short clip file size (byte) | | `content.shortclip.duration` | Integer | - | Short clip playback time (millisecond) | | `content.shortclip.output` | Object | - | Storage information | | `content.shortclip.output.accessControl` | String | - | Short clip file storage bucket disclosure scope - `PRIVATE` \| `PUBLIC_READ` - `PRIVATE`: Private - `PUBLIC_READ`: Public | | `content.shortclip.output.bucketName` | String | - | Short clip file storage bucket name | | `content.shortclip.output.filePath` | String | - | Detailed storage path | | `content.shortclip.output.fileName` | String | - | Short clip file name | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "channelId": "ls-20250814******-zTwK2", "snapshotId": 7566, "shortclip": { "id": 1418, "status": "COMPLETED", "createdTime": 1755577843872, "updatedTime": 1755577844296, "fileSize": 810943, "duration": 10006, "output": { "accessControl": "PRIVATE", "bucketName": "mybucket", "filePath": "/shortclip", "fileName": "1418-1755577843872.mp4" } } } } ```